import * as pulumi from "@pulumi/pulumi";
/**
 * The ``AWS::ApiGateway::Account`` resource specifies the IAM role that Amazon API Gateway uses to write API logs to Amazon CloudWatch Logs. To avoid overwriting other roles, you should only have one ``AWS::ApiGateway::Account`` resource per region per account.
 */
export declare function getAccount(args: GetAccountArgs, opts?: pulumi.InvokeOptions): Promise<GetAccountResult>;
export interface GetAccountArgs {
    /**
     * The ID for the account. For example: `abc123` .
     */
    id: string;
}
export interface GetAccountResult {
    /**
     * The ARN of an Amazon CloudWatch role for the current Account.
     */
    readonly cloudWatchRoleArn?: string;
    /**
     * The ID for the account. For example: `abc123` .
     */
    readonly id?: string;
}
/**
 * The ``AWS::ApiGateway::Account`` resource specifies the IAM role that Amazon API Gateway uses to write API logs to Amazon CloudWatch Logs. To avoid overwriting other roles, you should only have one ``AWS::ApiGateway::Account`` resource per region per account.
 */
export declare function getAccountOutput(args: GetAccountOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccountResult>;
export interface GetAccountOutputArgs {
    /**
     * The ID for the account. For example: `abc123` .
     */
    id: pulumi.Input<string>;
}
