import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Batch::SchedulingPolicy
 */
export declare function getSchedulingPolicy(args: GetSchedulingPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetSchedulingPolicyResult>;
export interface GetSchedulingPolicyArgs {
    /**
     * Returns the scheduling policy ARN, such as `batch: *us-east-1* : *111122223333* :scheduling-policy/ *HighPriority*` .
     */
    arn: string;
}
export interface GetSchedulingPolicyResult {
    /**
     * Returns the scheduling policy ARN, such as `batch: *us-east-1* : *111122223333* :scheduling-policy/ *HighPriority*` .
     */
    readonly arn?: string;
    /**
     * The fair-share scheduling policy details.
     */
    readonly fairsharePolicy?: outputs.batch.SchedulingPolicyFairsharePolicy;
}
/**
 * Resource Type definition for AWS::Batch::SchedulingPolicy
 */
export declare function getSchedulingPolicyOutput(args: GetSchedulingPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSchedulingPolicyResult>;
export interface GetSchedulingPolicyOutputArgs {
    /**
     * Returns the scheduling policy ARN, such as `batch: *us-east-1* : *111122223333* :scheduling-policy/ *HighPriority*` .
     */
    arn: pulumi.Input<string>;
}
