import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::CloudFront::DistributionTenant
 */
export declare function getDistributionTenant(args: GetDistributionTenantArgs, opts?: pulumi.InvokeOptions): Promise<GetDistributionTenantResult>;
export interface GetDistributionTenantArgs {
    id: string;
}
export interface GetDistributionTenantResult {
    readonly arn?: string;
    readonly connectionGroupId?: string;
    readonly createdTime?: string;
    readonly customizations?: outputs.cloudfront.DistributionTenantCustomizations;
    /**
     * The distribution's identifier. For example: `E1U5RQF7T870K0` .
     */
    readonly distributionId?: string;
    readonly domainResults?: outputs.cloudfront.DistributionTenantDomainResult[];
    readonly domains?: string[];
    /**
     * A complex type that contains `Tag` key and `Tag` value.
     */
    readonly eTag?: string;
    readonly enabled?: boolean;
    readonly id?: string;
    readonly lastModifiedTime?: string;
    readonly parameters?: outputs.cloudfront.DistributionTenantParameter[];
    readonly status?: string;
    /**
     * A complex type that contains zero or more `Tag` elements.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::CloudFront::DistributionTenant
 */
export declare function getDistributionTenantOutput(args: GetDistributionTenantOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDistributionTenantResult>;
export interface GetDistributionTenantOutputArgs {
    id: pulumi.Input<string>;
}
