import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::Connect::AgentStatus
 */
export declare function getAgentStatus(args: GetAgentStatusArgs, opts?: pulumi.InvokeOptions): Promise<GetAgentStatusResult>;
export interface GetAgentStatusArgs {
    /**
     * The Amazon Resource Name (ARN) of the agent status.
     */
    agentStatusArn: string;
}
export interface GetAgentStatusResult {
    /**
     * The Amazon Resource Name (ARN) of the agent status.
     */
    readonly agentStatusArn?: string;
    /**
     * The description of the status.
     */
    readonly description?: string;
    /**
     * The display order of the status.
     */
    readonly displayOrder?: number;
    /**
     * The identifier of the Amazon Connect instance.
     */
    readonly instanceArn?: string;
    /**
     * Last modified region.
     */
    readonly lastModifiedRegion?: string;
    /**
     * Last modified time.
     */
    readonly lastModifiedTime?: number;
    /**
     * The name of the status.
     */
    readonly name?: string;
    /**
     * A number indicating the reset order of the agent status.
     */
    readonly resetOrderNumber?: boolean;
    /**
     * The state of the status.
     */
    readonly state?: enums.connect.AgentStatusState;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The type of agent status.
     */
    readonly type?: enums.connect.AgentStatusType;
}
/**
 * Resource Type definition for AWS::Connect::AgentStatus
 */
export declare function getAgentStatusOutput(args: GetAgentStatusOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAgentStatusResult>;
export interface GetAgentStatusOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the agent status.
     */
    agentStatusArn: pulumi.Input<string>;
}
