import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Connect::Prompt
 */
export declare function getPrompt(args: GetPromptArgs, opts?: pulumi.InvokeOptions): Promise<GetPromptResult>;
export interface GetPromptArgs {
    /**
     * The Amazon Resource Name (ARN) for the prompt.
     */
    promptArn: string;
}
export interface GetPromptResult {
    /**
     * The description of the prompt.
     */
    readonly description?: string;
    /**
     * The identifier of the Amazon Connect instance.
     */
    readonly instanceArn?: string;
    /**
     * The name of the prompt.
     */
    readonly name?: string;
    /**
     * The Amazon Resource Name (ARN) for the prompt.
     */
    readonly promptArn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Connect::Prompt
 */
export declare function getPromptOutput(args: GetPromptOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPromptResult>;
export interface GetPromptOutputArgs {
    /**
     * The Amazon Resource Name (ARN) for the prompt.
     */
    promptArn: pulumi.Input<string>;
}
