import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Connect::UserHierarchyGroup
 */
export declare function getUserHierarchyGroup(args: GetUserHierarchyGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetUserHierarchyGroupResult>;
export interface GetUserHierarchyGroupArgs {
    /**
     * The Amazon Resource Name (ARN) for the user hierarchy group.
     */
    userHierarchyGroupArn: string;
}
export interface GetUserHierarchyGroupResult {
    /**
     * The identifier of the Amazon Connect instance.
     */
    readonly instanceArn?: string;
    /**
     * The name of the user hierarchy group.
     */
    readonly name?: string;
    /**
     * One or more tags.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The Amazon Resource Name (ARN) for the user hierarchy group.
     */
    readonly userHierarchyGroupArn?: string;
}
/**
 * Resource Type definition for AWS::Connect::UserHierarchyGroup
 */
export declare function getUserHierarchyGroupOutput(args: GetUserHierarchyGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUserHierarchyGroupResult>;
export interface GetUserHierarchyGroupOutputArgs {
    /**
     * The Amazon Resource Name (ARN) for the user hierarchy group.
     */
    userHierarchyGroupArn: pulumi.Input<string>;
}
