"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocationS3 = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema for AWS::DataSync::LocationS3
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const locationS3 = new aws_native.datasync.LocationS3("locationS3", {
 *     s3BucketArn: "arn:aws:s3:::MyBucket",
 *     s3Config: {
 *         bucketAccessRoleArn: "arn:aws:iam::111222333444:role/MyBucketAccessRole",
 *     },
 *     s3StorageClass: aws_native.datasync.LocationS3S3StorageClass.Standard,
 *     subdirectory: "/MyFolder",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const locationS3 = new aws_native.datasync.LocationS3("locationS3", {
 *     s3BucketArn: "arn:aws:s3:::MyBucket",
 *     s3Config: {
 *         bucketAccessRoleArn: "arn:aws:iam::111222333444:role/MyBucketAccessRole",
 *     },
 *     s3StorageClass: aws_native.datasync.LocationS3S3StorageClass.Standard,
 *     subdirectory: "/MyFolder",
 * });
 *
 * ```
 */
class LocationS3 extends pulumi.CustomResource {
    /**
     * Get an existing LocationS3 resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new LocationS3(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of LocationS3.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === LocationS3.__pulumiType;
    }
    /**
     * Create a LocationS3 resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.s3Config === undefined) && !opts.urn) {
                throw new Error("Missing required property 's3Config'");
            }
            resourceInputs["s3BucketArn"] = args ? args.s3BucketArn : undefined;
            resourceInputs["s3Config"] = args ? args.s3Config : undefined;
            resourceInputs["s3StorageClass"] = args ? args.s3StorageClass : undefined;
            resourceInputs["subdirectory"] = args ? args.subdirectory : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["locationArn"] = undefined /*out*/;
            resourceInputs["locationUri"] = undefined /*out*/;
        }
        else {
            resourceInputs["locationArn"] = undefined /*out*/;
            resourceInputs["locationUri"] = undefined /*out*/;
            resourceInputs["s3BucketArn"] = undefined /*out*/;
            resourceInputs["s3Config"] = undefined /*out*/;
            resourceInputs["s3StorageClass"] = undefined /*out*/;
            resourceInputs["subdirectory"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["s3BucketArn"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(LocationS3.__pulumiType, name, resourceInputs, opts);
    }
}
exports.LocationS3 = LocationS3;
/** @internal */
LocationS3.__pulumiType = 'aws-native:datasync:LocationS3';
//# sourceMappingURL=locationS3.js.map