import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::DataZone::EnvironmentActions Resource Type
 */
export declare function getEnvironmentActions(args: GetEnvironmentActionsArgs, opts?: pulumi.InvokeOptions): Promise<GetEnvironmentActionsResult>;
export interface GetEnvironmentActionsArgs {
    /**
     * The identifier of the Amazon DataZone domain in which the environment is created.
     */
    domainId: string;
    /**
     * The identifier of the Amazon DataZone environment in which the action is taking place
     */
    environmentId: string;
    /**
     * The ID of the Amazon DataZone environment action.
     */
    id: string;
}
export interface GetEnvironmentActionsResult {
    /**
     * The description of the Amazon DataZone environment action.
     */
    readonly description?: string;
    /**
     * The identifier of the Amazon DataZone domain in which the environment is created.
     */
    readonly domainId?: string;
    /**
     * The identifier of the Amazon DataZone environment in which the action is taking place
     */
    readonly environmentId?: string;
    /**
     * The ID of the Amazon DataZone environment action.
     */
    readonly id?: string;
    /**
     * The name of the environment action.
     */
    readonly name?: string;
    /**
     * The parameters of the environment action.
     */
    readonly parameters?: outputs.datazone.EnvironmentActionsAwsConsoleLinkParameters;
}
/**
 * Definition of AWS::DataZone::EnvironmentActions Resource Type
 */
export declare function getEnvironmentActionsOutput(args: GetEnvironmentActionsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEnvironmentActionsResult>;
export interface GetEnvironmentActionsOutputArgs {
    /**
     * The identifier of the Amazon DataZone domain in which the environment is created.
     */
    domainId: pulumi.Input<string>;
    /**
     * The identifier of the Amazon DataZone environment in which the action is taking place
     */
    environmentId: pulumi.Input<string>;
    /**
     * The ID of the Amazon DataZone environment action.
     */
    id: pulumi.Input<string>;
}
