import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::EC2::NetworkInsightsAccessScope
 */
export declare function getNetworkInsightsAccessScope(args: GetNetworkInsightsAccessScopeArgs, opts?: pulumi.InvokeOptions): Promise<GetNetworkInsightsAccessScopeResult>;
export interface GetNetworkInsightsAccessScopeArgs {
    /**
     * The ID of the Network Access Scope.
     */
    networkInsightsAccessScopeId: string;
}
export interface GetNetworkInsightsAccessScopeResult {
    /**
     * The creation date.
     */
    readonly createdDate?: string;
    /**
     * The ARN of the Network Access Scope.
     */
    readonly networkInsightsAccessScopeArn?: string;
    /**
     * The ID of the Network Access Scope.
     */
    readonly networkInsightsAccessScopeId?: string;
    /**
     * The tags.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The last updated date.
     */
    readonly updatedDate?: string;
}
/**
 * Resource schema for AWS::EC2::NetworkInsightsAccessScope
 */
export declare function getNetworkInsightsAccessScopeOutput(args: GetNetworkInsightsAccessScopeOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetNetworkInsightsAccessScopeResult>;
export interface GetNetworkInsightsAccessScopeOutputArgs {
    /**
     * The ID of the Network Access Scope.
     */
    networkInsightsAccessScopeId: pulumi.Input<string>;
}
