import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * VPC Route Server
 */
export declare function getRouteServer(args: GetRouteServerArgs, opts?: pulumi.InvokeOptions): Promise<GetRouteServerResult>;
export interface GetRouteServerArgs {
    /**
     * The ID of the Route Server.
     */
    id: string;
}
export interface GetRouteServerResult {
    /**
     * The Amazon Resource Name (ARN) of the Route Server.
     */
    readonly arn?: string;
    /**
     * The ID of the Route Server.
     */
    readonly id?: string;
    /**
     * Whether to enable persistent routes
     */
    readonly persistRoutes?: enums.ec2.RouteServerPersistRoutes;
    /**
     * Whether to enable SNS notifications
     */
    readonly snsNotificationsEnabled?: boolean;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * VPC Route Server
 */
export declare function getRouteServerOutput(args: GetRouteServerOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRouteServerResult>;
export interface GetRouteServerOutputArgs {
    /**
     * The ID of the Route Server.
     */
    id: pulumi.Input<string>;
}
