import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::EC2::VPCBlockPublicAccessOptions
 */
export declare class VpcBlockPublicAccessOptions extends pulumi.CustomResource {
    /**
     * Get an existing VpcBlockPublicAccessOptions resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): VpcBlockPublicAccessOptions;
    /**
     * Returns true if the given object is an instance of VpcBlockPublicAccessOptions.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is VpcBlockPublicAccessOptions;
    /**
     * The identifier for the specified AWS account.
     */
    readonly accountId: pulumi.Output<string>;
    /**
     * The desired Block Public Access mode for Internet Gateways in your account. We do not allow to create in a off mode as this is the default value
     */
    readonly internetGatewayBlockMode: pulumi.Output<enums.ec2.VpcBlockPublicAccessOptionsInternetGatewayBlockMode>;
    /**
     * Create a VpcBlockPublicAccessOptions resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: VpcBlockPublicAccessOptionsArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a VpcBlockPublicAccessOptions resource.
 */
export interface VpcBlockPublicAccessOptionsArgs {
    /**
     * The desired Block Public Access mode for Internet Gateways in your account. We do not allow to create in a off mode as this is the default value
     */
    internetGatewayBlockMode: pulumi.Input<enums.ec2.VpcBlockPublicAccessOptionsInternetGatewayBlockMode>;
}
