import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EventSchemas::Registry
 */
export declare function getRegistry(args: GetRegistryArgs, opts?: pulumi.InvokeOptions): Promise<GetRegistryResult>;
export interface GetRegistryArgs {
    /**
     * The ARN of the registry.
     */
    registryArn: string;
}
export interface GetRegistryResult {
    /**
     * A description of the registry to be created.
     */
    readonly description?: string;
    /**
     * The ARN of the registry.
     */
    readonly registryArn?: string;
    /**
     * Tags associated with the resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::EventSchemas::Registry
 */
export declare function getRegistryOutput(args: GetRegistryOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRegistryResult>;
export interface GetRegistryOutputArgs {
    /**
     * The ARN of the registry.
     */
    registryArn: pulumi.Input<string>;
}
