import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::IoTSiteWise::Gateway
 */
export declare function getGateway(args: GetGatewayArgs, opts?: pulumi.InvokeOptions): Promise<GetGatewayResult>;
export interface GetGatewayArgs {
    /**
     * The ID of the gateway device.
     */
    gatewayId: string;
}
export interface GetGatewayResult {
    /**
     * A list of gateway capability summaries that each contain a namespace and status.
     */
    readonly gatewayCapabilitySummaries?: outputs.iotsitewise.GatewayCapabilitySummary[];
    /**
     * The ID of the gateway device.
     */
    readonly gatewayId?: string;
    /**
     * A unique, friendly name for the gateway.
     */
    readonly gatewayName?: string;
    /**
     * A list of key-value pairs that contain metadata for the gateway.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::IoTSiteWise::Gateway
 */
export declare function getGatewayOutput(args: GetGatewayOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGatewayResult>;
export interface GetGatewayOutputArgs {
    /**
     * The ID of the gateway device.
     */
    gatewayId: pulumi.Input<string>;
}
