import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Definition for type AWS::IVS::Stage.
 */
export declare function getStage(args: GetStageArgs, opts?: pulumi.InvokeOptions): Promise<GetStageResult>;
export interface GetStageArgs {
    /**
     * Stage ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: string;
}
export interface GetStageResult {
    /**
     * ID of the active session within the stage.
     */
    readonly activeSessionId?: string;
    /**
     * Stage ARN is automatically generated on creation and assigned as the unique identifier.
     */
    readonly arn?: string;
    readonly autoParticipantRecordingConfiguration?: outputs.ivs.StageAutoParticipantRecordingConfiguration;
    /**
     * Stage name
     */
    readonly name?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Definition for type AWS::IVS::Stage.
 */
export declare function getStageOutput(args: GetStageOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStageResult>;
export interface GetStageOutputArgs {
    /**
     * Stage ARN is automatically generated on creation and assigned as the unique identifier.
     */
    arn: pulumi.Input<string>;
}
