import * as pulumi from "@pulumi/pulumi";
/**
 * A version is a numbered snapshot of your work that you can publish for use in different parts of your workflow, such as development, beta deployment, and production.
 */
export declare function getBotVersion(args: GetBotVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetBotVersionResult>;
export interface GetBotVersionArgs {
    /**
     * The unique identifier of the bot.
     */
    botId: string;
    /**
     * The version of the bot.
     */
    botVersion: string;
}
export interface GetBotVersionResult {
    /**
     * The version of the bot.
     */
    readonly botVersion?: string;
    /**
     * The description of the version.
     */
    readonly description?: string;
}
/**
 * A version is a numbered snapshot of your work that you can publish for use in different parts of your workflow, such as development, beta deployment, and production.
 */
export declare function getBotVersionOutput(args: GetBotVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBotVersionResult>;
export interface GetBotVersionOutputArgs {
    /**
     * The unique identifier of the bot.
     */
    botId: pulumi.Input<string>;
    /**
     * The version of the bot.
     */
    botVersion: pulumi.Input<string>;
}
