import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Lightsail::Certificate.
 */
export declare function getCertificate(args: GetCertificateArgs, opts?: pulumi.InvokeOptions): Promise<GetCertificateResult>;
export interface GetCertificateArgs {
    /**
     * The name for the certificate.
     */
    certificateName: string;
}
export interface GetCertificateResult {
    /**
     * The Amazon Resource Name (ARN) of the certificate.
     */
    readonly certificateArn?: string;
    /**
     * The validation status of the certificate.
     */
    readonly status?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Lightsail::Certificate.
 */
export declare function getCertificateOutput(args: GetCertificateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCertificateResult>;
export interface GetCertificateOutputArgs {
    /**
     * The name for the certificate.
     */
    certificateName: pulumi.Input<string>;
}
