import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Macie AllowList resource schema
 */
export declare class AllowList extends pulumi.CustomResource {
    /**
     * Get an existing AllowList resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): AllowList;
    /**
     * Returns true if the given object is an instance of AllowList.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is AllowList;
    /**
     * AllowList ARN.
     */
    readonly arn: pulumi.Output<string>;
    /**
     * AllowList ID.
     */
    readonly awsId: pulumi.Output<string>;
    /**
     * AllowList criteria.
     */
    readonly criteria: pulumi.Output<outputs.macie.AllowListCriteria>;
    /**
     * Description of AllowList.
     */
    readonly description: pulumi.Output<string | undefined>;
    /**
     * Name of AllowList.
     */
    readonly name: pulumi.Output<string>;
    /**
     * AllowList status.
     */
    readonly status: pulumi.Output<enums.macie.AllowListStatus>;
    /**
     * A collection of tags associated with a resource
     */
    readonly tags: pulumi.Output<outputs.Tag[] | undefined>;
    /**
     * Create a AllowList resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: AllowListArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a AllowList resource.
 */
export interface AllowListArgs {
    /**
     * AllowList criteria.
     */
    criteria: pulumi.Input<inputs.macie.AllowListCriteriaArgs>;
    /**
     * Description of AllowList.
     */
    description?: pulumi.Input<string>;
    /**
     * Name of AllowList.
     */
    name?: pulumi.Input<string>;
    /**
     * A collection of tags associated with a resource
     */
    tags?: pulumi.Input<pulumi.Input<inputs.TagArgs>[]>;
}
