import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::MSK::BatchScramSecret
 */
export declare function getBatchScramSecret(args: GetBatchScramSecretArgs, opts?: pulumi.InvokeOptions): Promise<GetBatchScramSecretResult>;
export interface GetBatchScramSecretArgs {
    /**
     * The Amazon Resource Name (ARN) that uniquely identifies the cluster.
     */
    clusterArn: string;
}
export interface GetBatchScramSecretResult {
    /**
     * List of Amazon Resource Name (ARN)s of Secrets Manager secrets.
     */
    readonly secretArnList?: string[];
}
/**
 * Resource Type definition for AWS::MSK::BatchScramSecret
 */
export declare function getBatchScramSecretOutput(args: GetBatchScramSecretOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBatchScramSecretResult>;
export interface GetBatchScramSecretOutputArgs {
    /**
     * The Amazon Resource Name (ARN) that uniquely identifies the cluster.
     */
    clusterArn: pulumi.Input<string>;
}
