import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::MSK::ServerlessCluster
 */
export declare function getServerlessCluster(args: GetServerlessClusterArgs, opts?: pulumi.InvokeOptions): Promise<GetServerlessClusterResult>;
export interface GetServerlessClusterArgs {
    /**
     * The Amazon Resource Name (ARN) of the MSK cluster.
     */
    arn: string;
}
export interface GetServerlessClusterResult {
    /**
     * The Amazon Resource Name (ARN) of the MSK cluster.
     */
    readonly arn?: string;
}
/**
 * Resource Type definition for AWS::MSK::ServerlessCluster
 */
export declare function getServerlessClusterOutput(args: GetServerlessClusterOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetServerlessClusterResult>;
export interface GetServerlessClusterOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the MSK cluster.
     */
    arn: pulumi.Input<string>;
}
