import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::MSK::VpcConnection
 */
export declare function getVpcConnection(args: GetVpcConnectionArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcConnectionResult>;
export interface GetVpcConnectionArgs {
    /**
     * The ARN of the VPC connection.
     */
    arn: string;
}
export interface GetVpcConnectionResult {
    /**
     * The ARN of the VPC connection.
     */
    readonly arn?: string;
    /**
     * An arbitrary set of tags (key-value pairs) you specify while creating the VPC connection.
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * Resource Type definition for AWS::MSK::VpcConnection
 */
export declare function getVpcConnectionOutput(args: GetVpcConnectionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcConnectionResult>;
export interface GetVpcConnectionOutputArgs {
    /**
     * The ARN of the VPC connection.
     */
    arn: pulumi.Input<string>;
}
