import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * AWS::NetworkManager::ConnectPeer Resource Type Definition.
 */
export declare function getConnectPeer(args: GetConnectPeerArgs, opts?: pulumi.InvokeOptions): Promise<GetConnectPeerResult>;
export interface GetConnectPeerArgs {
    /**
     * The ID of the Connect peer.
     */
    connectPeerId: string;
}
export interface GetConnectPeerResult {
    /**
     * Configuration of the connect peer.
     */
    readonly configuration?: outputs.networkmanager.ConnectPeerConfiguration;
    /**
     * The ID of the Connect peer.
     */
    readonly connectPeerId?: string;
    /**
     * The ID of the core network.
     */
    readonly coreNetworkId?: string;
    /**
     * Connect peer creation time.
     */
    readonly createdAt?: string;
    /**
     * The Connect peer Regions where edges are located.
     */
    readonly edgeLocation?: string;
    /**
     * State of the connect peer.
     */
    readonly state?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * AWS::NetworkManager::ConnectPeer Resource Type Definition.
 */
export declare function getConnectPeerOutput(args: GetConnectPeerOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConnectPeerResult>;
export interface GetConnectPeerOutputArgs {
    /**
     * The ID of the Connect peer.
     */
    connectPeerId: pulumi.Input<string>;
}
