import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * AWS::NetworkManager::DirectConnectGatewayAttachment Resource Type
 */
export declare function getDirectConnectGatewayAttachment(args: GetDirectConnectGatewayAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetDirectConnectGatewayAttachmentResult>;
export interface GetDirectConnectGatewayAttachmentArgs {
    /**
     * Id of the attachment.
     */
    attachmentId: string;
}
export interface GetDirectConnectGatewayAttachmentResult {
    /**
     * Id of the attachment.
     */
    readonly attachmentId?: string;
    /**
     * The policy rule number associated with the attachment.
     */
    readonly attachmentPolicyRuleNumber?: number;
    /**
     * Attachment type.
     */
    readonly attachmentType?: string;
    /**
     * The ARN of a core network for the Direct Connect Gateway attachment.
     */
    readonly coreNetworkArn?: string;
    /**
     * Creation time of the attachment.
     */
    readonly createdAt?: string;
    /**
     * The Regions where the edges are located.
     */
    readonly edgeLocations?: string[];
    /**
     * The name of the network function group attachment.
     */
    readonly networkFunctionGroupName?: string;
    /**
     * Owner account of the attachment.
     */
    readonly ownerAccountId?: string;
    /**
     * The attachment to move from one network function group to another.
     */
    readonly proposedNetworkFunctionGroupChange?: outputs.networkmanager.DirectConnectGatewayAttachmentProposedNetworkFunctionGroupChange;
    /**
     * The attachment to move from one segment to another.
     */
    readonly proposedSegmentChange?: outputs.networkmanager.DirectConnectGatewayAttachmentProposedSegmentChange;
    /**
     * The ARN of the Resource.
     */
    readonly resourceArn?: string;
    /**
     * The name of the segment attachment..
     */
    readonly segmentName?: string;
    /**
     * State of the attachment.
     */
    readonly state?: string;
    /**
     * Tags for the attachment.
     */
    readonly tags?: outputs.Tag[];
    /**
     * Last update time of the attachment.
     */
    readonly updatedAt?: string;
}
/**
 * AWS::NetworkManager::DirectConnectGatewayAttachment Resource Type
 */
export declare function getDirectConnectGatewayAttachmentOutput(args: GetDirectConnectGatewayAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDirectConnectGatewayAttachmentResult>;
export interface GetDirectConnectGatewayAttachmentOutputArgs {
    /**
     * Id of the attachment.
     */
    attachmentId: pulumi.Input<string>;
}
