import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Oam::Sink
 */
export declare function getSink(args: GetSinkArgs, opts?: pulumi.InvokeOptions): Promise<GetSinkResult>;
export interface GetSinkArgs {
    /**
     * The Amazon resource name (ARN) of the ObservabilityAccessManager Sink
     */
    arn: string;
}
export interface GetSinkResult {
    /**
     * The Amazon resource name (ARN) of the ObservabilityAccessManager Sink
     */
    readonly arn?: string;
    /**
     * The policy of this ObservabilityAccessManager Sink.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::Oam::Sink` for more information about the expected schema for this property.
     */
    readonly policy?: any;
    /**
     * Tags to apply to the sink
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * Resource Type definition for AWS::Oam::Sink
 */
export declare function getSinkOutput(args: GetSinkOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSinkResult>;
export interface GetSinkOutputArgs {
    /**
     * The Amazon resource name (ARN) of the ObservabilityAccessManager Sink
     */
    arn: pulumi.Input<string>;
}
