import * as pulumi from "@pulumi/pulumi";
/**
 * Amazon OpenSearchServerless vpc endpoint resource
 */
export declare function getVpcEndpoint(args: GetVpcEndpointArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcEndpointResult>;
export interface GetVpcEndpointArgs {
    /**
     * The identifier of the VPC Endpoint
     */
    id: string;
}
export interface GetVpcEndpointResult {
    /**
     * The identifier of the VPC Endpoint
     */
    readonly id?: string;
    /**
     * The ID of one or more security groups to associate with the endpoint network interface
     */
    readonly securityGroupIds?: string[];
    /**
     * The ID of one or more subnets in which to create an endpoint network interface
     */
    readonly subnetIds?: string[];
}
/**
 * Amazon OpenSearchServerless vpc endpoint resource
 */
export declare function getVpcEndpointOutput(args: GetVpcEndpointOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcEndpointResult>;
export interface GetVpcEndpointOutputArgs {
    /**
     * The identifier of the VPC Endpoint
     */
    id: pulumi.Input<string>;
}
