import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Integration from a source AWS service to a Redshift cluster
 */
export declare function getIntegration(args: GetIntegrationArgs, opts?: pulumi.InvokeOptions): Promise<GetIntegrationResult>;
export interface GetIntegrationArgs {
    /**
     * The Amazon Resource Name (ARN) of the integration.
     */
    integrationArn: string;
}
export interface GetIntegrationResult {
    /**
     * The time (UTC) when the integration was created.
     */
    readonly createTime?: string;
    /**
     * The Amazon Resource Name (ARN) of the integration.
     */
    readonly integrationArn?: string;
    /**
     * The name of the integration.
     */
    readonly integrationName?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Integration from a source AWS service to a Redshift cluster
 */
export declare function getIntegrationOutput(args: GetIntegrationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetIntegrationResult>;
export interface GetIntegrationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the integration.
     */
    integrationArn: pulumi.Input<string>;
}
