import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Route53Resolver::FirewallDomainList.
 */
export declare function getFirewallDomainList(args: GetFirewallDomainListArgs, opts?: pulumi.InvokeOptions): Promise<GetFirewallDomainListResult>;
export interface GetFirewallDomainListArgs {
    /**
     * ResourceId
     */
    id: string;
}
export interface GetFirewallDomainListResult {
    /**
     * Arn
     */
    readonly arn?: string;
    /**
     * Rfc3339TimeString
     */
    readonly creationTime?: string;
    /**
     * The id of the creator request.
     */
    readonly creatorRequestId?: string;
    /**
     * Count
     */
    readonly domainCount?: number;
    /**
     * ResourceId
     */
    readonly id?: string;
    /**
     * ServicePrincipal
     */
    readonly managedOwnerName?: string;
    /**
     * Rfc3339TimeString
     */
    readonly modificationTime?: string;
    /**
     * ResolverFirewallDomainList, possible values are COMPLETE, DELETING, UPDATING, COMPLETE_IMPORT_FAILED, IMPORTING, and INACTIVE_OWNER_ACCOUNT_CLOSED.
     */
    readonly status?: enums.route53resolver.FirewallDomainListStatus;
    /**
     * FirewallDomainListAssociationStatus
     */
    readonly statusMessage?: string;
    /**
     * Tags
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::Route53Resolver::FirewallDomainList.
 */
export declare function getFirewallDomainListOutput(args: GetFirewallDomainListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFirewallDomainListResult>;
export interface GetFirewallDomainListOutputArgs {
    /**
     * ResourceId
     */
    id: pulumi.Input<string>;
}
