import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Applies an IAM resource policy to a table bucket.
 */
export declare function getTableBucketPolicy(args: GetTableBucketPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetTableBucketPolicyResult>;
export interface GetTableBucketPolicyArgs {
    /**
     * The Amazon Resource Name (ARN) of the table bucket.
     */
    tableBucketArn: string;
}
export interface GetTableBucketPolicyResult {
    /**
     * The bucket policy JSON for the table bucket.
     */
    readonly resourcePolicy?: outputs.s3tables.TableBucketPolicyResourcePolicy;
}
/**
 * Applies an IAM resource policy to a table bucket.
 */
export declare function getTableBucketPolicyOutput(args: GetTableBucketPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTableBucketPolicyResult>;
export interface GetTableBucketPolicyOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the table bucket.
     */
    tableBucketArn: pulumi.Input<string>;
}
