import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::SageMaker::AppImageConfig
 */
export declare function getAppImageConfig(args: GetAppImageConfigArgs, opts?: pulumi.InvokeOptions): Promise<GetAppImageConfigResult>;
export interface GetAppImageConfigArgs {
    /**
     * The Name of the AppImageConfig.
     */
    appImageConfigName: string;
}
export interface GetAppImageConfigResult {
    /**
     * The Amazon Resource Name (ARN) of the AppImageConfig.
     */
    readonly appImageConfigArn?: string;
    /**
     * The CodeEditorAppImageConfig.
     */
    readonly codeEditorAppImageConfig?: outputs.sagemaker.AppImageConfigCodeEditorAppImageConfig;
    /**
     * The JupyterLabAppImageConfig.
     */
    readonly jupyterLabAppImageConfig?: outputs.sagemaker.AppImageConfigJupyterLabAppImageConfig;
    /**
     * The KernelGatewayImageConfig.
     */
    readonly kernelGatewayImageConfig?: outputs.sagemaker.AppImageConfigKernelGatewayImageConfig;
}
/**
 * Resource Type definition for AWS::SageMaker::AppImageConfig
 */
export declare function getAppImageConfigOutput(args: GetAppImageConfigOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAppImageConfigResult>;
export interface GetAppImageConfigOutputArgs {
    /**
     * The Name of the AppImageConfig.
     */
    appImageConfigName: pulumi.Input<string>;
}
