import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SageMaker::ModelBiasJobDefinition
 */
export declare function getModelBiasJobDefinition(args: GetModelBiasJobDefinitionArgs, opts?: pulumi.InvokeOptions): Promise<GetModelBiasJobDefinitionResult>;
export interface GetModelBiasJobDefinitionArgs {
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    jobDefinitionArn: string;
}
export interface GetModelBiasJobDefinitionResult {
    /**
     * The time at which the job definition was created.
     */
    readonly creationTime?: string;
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    readonly jobDefinitionArn?: string;
}
/**
 * Resource Type definition for AWS::SageMaker::ModelBiasJobDefinition
 */
export declare function getModelBiasJobDefinitionOutput(args: GetModelBiasJobDefinitionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetModelBiasJobDefinitionResult>;
export interface GetModelBiasJobDefinitionOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    jobDefinitionArn: pulumi.Input<string>;
}
