import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::SageMaker::UserProfile
 */
export declare function getUserProfile(args: GetUserProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetUserProfileResult>;
export interface GetUserProfileArgs {
    /**
     * The ID of the associated Domain.
     */
    domainId: string;
    /**
     * A name for the UserProfile.
     */
    userProfileName: string;
}
export interface GetUserProfileResult {
    /**
     * The user profile Amazon Resource Name (ARN).
     */
    readonly userProfileArn?: string;
    /**
     * A collection of settings.
     */
    readonly userSettings?: outputs.sagemaker.UserProfileUserSettings;
}
/**
 * Resource Type definition for AWS::SageMaker::UserProfile
 */
export declare function getUserProfileOutput(args: GetUserProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUserProfileResult>;
export interface GetUserProfileOutputArgs {
    /**
     * The ID of the associated Domain.
     */
    domainId: pulumi.Input<string>;
    /**
     * A name for the UserProfile.
     */
    userProfileName: pulumi.Input<string>;
}
