"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindingAggregator = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * The ``AWS::SecurityHub::FindingAggregator`` resource enables cross-Region aggregation. When cross-Region aggregation is enabled, you can aggregate findings, finding updates, insights, control compliance statuses, and security scores from one or more linked Regions to a single aggregation Region. You can then view and manage all of this data from the aggregation Region. For more details about cross-Region aggregation, see [Cross-Region aggregation](https://docs.aws.amazon.com/securityhub/latest/userguide/finding-aggregation.html) in the *User Guide*
 *  This resource must be created in the Region that you want to designate as your aggregation Region.
 *  Cross-Region aggregation is also a prerequisite for using [central configuration](https://docs.aws.amazon.com/securityhub/latest/userguide/central-configuration-intro.html) in ASH.
 */
class FindingAggregator extends pulumi.CustomResource {
    /**
     * Get an existing FindingAggregator resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new FindingAggregator(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of FindingAggregator.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === FindingAggregator.__pulumiType;
    }
    /**
     * Create a FindingAggregator resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.regionLinkingMode === undefined) && !opts.urn) {
                throw new Error("Missing required property 'regionLinkingMode'");
            }
            resourceInputs["regionLinkingMode"] = args ? args.regionLinkingMode : undefined;
            resourceInputs["regions"] = args ? args.regions : undefined;
            resourceInputs["findingAggregationRegion"] = undefined /*out*/;
            resourceInputs["findingAggregatorArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["findingAggregationRegion"] = undefined /*out*/;
            resourceInputs["findingAggregatorArn"] = undefined /*out*/;
            resourceInputs["regionLinkingMode"] = undefined /*out*/;
            resourceInputs["regions"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(FindingAggregator.__pulumiType, name, resourceInputs, opts);
    }
}
exports.FindingAggregator = FindingAggregator;
/** @internal */
FindingAggregator.__pulumiType = 'aws-native:securityhub:FindingAggregator';
//# sourceMappingURL=findingAggregator.js.map