import * as pulumi from "@pulumi/pulumi";
/**
 * The AWS::SecurityHub::ProductSubscription resource represents a subscription to a service that is allowed to generate findings for your Security Hub account. One product subscription resource is created for each product enabled.
 */
export declare function getProductSubscription(args: GetProductSubscriptionArgs, opts?: pulumi.InvokeOptions): Promise<GetProductSubscriptionResult>;
export interface GetProductSubscriptionArgs {
    /**
     * The ARN of the product subscription for the account
     */
    productSubscriptionArn: string;
}
export interface GetProductSubscriptionResult {
    /**
     * The ARN of the product subscription for the account
     */
    readonly productSubscriptionArn?: string;
}
/**
 * The AWS::SecurityHub::ProductSubscription resource represents a subscription to a service that is allowed to generate findings for your Security Hub account. One product subscription resource is created for each product enabled.
 */
export declare function getProductSubscriptionOutput(args: GetProductSubscriptionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetProductSubscriptionResult>;
export interface GetProductSubscriptionOutputArgs {
    /**
     * The ARN of the product subscription for the account
     */
    productSubscriptionArn: pulumi.Input<string>;
}
