import * as pulumi from "@pulumi/pulumi";
/**
 * Schema for SQS QueueInlinePolicy
 */
export declare function getQueueInlinePolicy(args: GetQueueInlinePolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetQueueInlinePolicyResult>;
export interface GetQueueInlinePolicyArgs {
    /**
     * The URL of the SQS queue.
     */
    queue: string;
}
export interface GetQueueInlinePolicyResult {
    /**
     * A policy document that contains permissions to add to the specified SQS queue
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::SQS::QueueInlinePolicy` for more information about the expected schema for this property.
     */
    readonly policyDocument?: any;
}
/**
 * Schema for SQS QueueInlinePolicy
 */
export declare function getQueueInlinePolicyOutput(args: GetQueueInlinePolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetQueueInlinePolicyResult>;
export interface GetQueueInlinePolicyOutputArgs {
    /**
     * The URL of the SQS queue.
     */
    queue: pulumi.Input<string>;
}
