export declare const KeyspaceRegionListItem: {
    readonly AfSouth1: "af-south-1";
    readonly ApNortheast1: "ap-northeast-1";
    readonly ApNortheast2: "ap-northeast-2";
    readonly ApSouth1: "ap-south-1";
    readonly ApSoutheast1: "ap-southeast-1";
    readonly ApSoutheast2: "ap-southeast-2";
    readonly CaCentral1: "ca-central-1";
    readonly EuCentral1: "eu-central-1";
    readonly EuNorth1: "eu-north-1";
    readonly EuWest1: "eu-west-1";
    readonly EuWest2: "eu-west-2";
    readonly EuWest3: "eu-west-3";
    readonly SaEast1: "sa-east-1";
    readonly UsEast1: "us-east-1";
    readonly UsEast2: "us-east-2";
    readonly UsWest1: "us-west-1";
    readonly UsWest2: "us-west-2";
};
export type KeyspaceRegionListItem = (typeof KeyspaceRegionListItem)[keyof typeof KeyspaceRegionListItem];
export declare const KeyspaceReplicationSpecificationReplicationStrategy: {
    readonly SingleRegion: "SINGLE_REGION";
    readonly MultiRegion: "MULTI_REGION";
};
/**
 * The options are:
 *
 * - `SINGLE_REGION` (optional)
 * - `MULTI_REGION`
 *
 * If no value is specified, the default is `SINGLE_REGION` . If `MULTI_REGION` is specified, `RegionList` is required.
 */
export type KeyspaceReplicationSpecificationReplicationStrategy = (typeof KeyspaceReplicationSpecificationReplicationStrategy)[keyof typeof KeyspaceReplicationSpecificationReplicationStrategy];
export declare const TableClusteringKeyColumnOrderBy: {
    readonly Asc: "ASC";
    readonly Desc: "DESC";
};
/**
 * The order in which this column's data is stored:
 *
 * - `ASC` (default) - The column's data is stored in ascending order.
 * - `DESC` - The column's data is stored in descending order.
 */
export type TableClusteringKeyColumnOrderBy = (typeof TableClusteringKeyColumnOrderBy)[keyof typeof TableClusteringKeyColumnOrderBy];
export declare const TableEncryptionType: {
    readonly AwsOwnedKmsKey: "AWS_OWNED_KMS_KEY";
    readonly CustomerManagedKmsKey: "CUSTOMER_MANAGED_KMS_KEY";
};
/**
 * Server-side encryption type
 */
export type TableEncryptionType = (typeof TableEncryptionType)[keyof typeof TableEncryptionType];
export declare const TableMode: {
    readonly Provisioned: "PROVISIONED";
    readonly OnDemand: "ON_DEMAND";
};
/**
 * Capacity mode for the specified table
 */
export type TableMode = (typeof TableMode)[keyof typeof TableMode];
