export declare const AccountJoinedMethod: {
    readonly Invited: "INVITED";
    readonly Created: "CREATED";
};
/**
 * The method by which the account joined the organization.
 */
export type AccountJoinedMethod = (typeof AccountJoinedMethod)[keyof typeof AccountJoinedMethod];
export declare const AccountStatus: {
    readonly Active: "ACTIVE";
    readonly Suspended: "SUSPENDED";
    readonly PendingClosure: "PENDING_CLOSURE";
};
/**
 * The status of the account in the organization.
 */
export type AccountStatus = (typeof AccountStatus)[keyof typeof AccountStatus];
export declare const OrganizationFeatureSet: {
    readonly All: "ALL";
    readonly ConsolidatedBilling: "CONSOLIDATED_BILLING";
};
/**
 * Specifies the feature set supported by the new organization. Each feature set supports different levels of functionality.
 */
export type OrganizationFeatureSet = (typeof OrganizationFeatureSet)[keyof typeof OrganizationFeatureSet];
export declare const PolicyType: {
    readonly ServiceControlPolicy: "SERVICE_CONTROL_POLICY";
    readonly AiservicesOptOutPolicy: "AISERVICES_OPT_OUT_POLICY";
    readonly BackupPolicy: "BACKUP_POLICY";
    readonly TagPolicy: "TAG_POLICY";
    readonly ChatbotPolicy: "CHATBOT_POLICY";
    readonly ResourceControlPolicy: "RESOURCE_CONTROL_POLICY";
    readonly DeclarativePolicyEc2: "DECLARATIVE_POLICY_EC2";
};
/**
 * The type of policy to create. You can specify one of the following values: AISERVICES_OPT_OUT_POLICY, BACKUP_POLICY, SERVICE_CONTROL_POLICY, TAG_POLICY, CHATBOT_POLICY, RESOURCE_CONTROL_POLICY,DECLARATIVE_POLICY_EC2
 */
export type PolicyType = (typeof PolicyType)[keyof typeof PolicyType];
