export declare const InAppTemplateAlignment: {
    readonly Left: "LEFT";
    readonly Center: "CENTER";
    readonly Right: "RIGHT";
};
export type InAppTemplateAlignment = (typeof InAppTemplateAlignment)[keyof typeof InAppTemplateAlignment];
export declare const InAppTemplateButtonAction: {
    readonly Link: "LINK";
    readonly DeepLink: "DEEP_LINK";
    readonly Close: "CLOSE";
};
export type InAppTemplateButtonAction = (typeof InAppTemplateButtonAction)[keyof typeof InAppTemplateButtonAction];
export declare const InAppTemplateLayout: {
    readonly BottomBanner: "BOTTOM_BANNER";
    readonly TopBanner: "TOP_BANNER";
    readonly Overlays: "OVERLAYS";
    readonly MobileFeed: "MOBILE_FEED";
    readonly MiddleBanner: "MIDDLE_BANNER";
    readonly Carousel: "CAROUSEL";
};
/**
 * A string that determines the appearance of the in-app message. You can specify one of the following:
 *
 * - `BOTTOM_BANNER` – a message that appears as a banner at the bottom of the page.
 * - `TOP_BANNER` – a message that appears as a banner at the top of the page.
 * - `OVERLAYS` – a message that covers entire screen.
 * - `MOBILE_FEED` – a message that appears in a window in front of the page.
 * - `MIDDLE_BANNER` – a message that appears as a banner in the middle of the page.
 * - `CAROUSEL` – a scrollable layout of up to five unique messages.
 */
export type InAppTemplateLayout = (typeof InAppTemplateLayout)[keyof typeof InAppTemplateLayout];
