import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * VpcLattice ServiceNetworkResourceAssociation CFN resource
 */
export declare function getServiceNetworkResourceAssociation(args: GetServiceNetworkResourceAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetServiceNetworkResourceAssociationResult>;
export interface GetServiceNetworkResourceAssociationArgs {
    /**
     * The Amazon Resource Name (ARN) of the association.
     */
    arn: string;
}
export interface GetServiceNetworkResourceAssociationResult {
    /**
     * The Amazon Resource Name (ARN) of the association.
     */
    readonly arn?: string;
    /**
     * The ID of the association between the service network and resource configuration.
     */
    readonly id?: string;
    /**
     * A key-value pair to associate with a resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * VpcLattice ServiceNetworkResourceAssociation CFN resource
 */
export declare function getServiceNetworkResourceAssociationOutput(args: GetServiceNetworkResourceAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetServiceNetworkResourceAssociationResult>;
export interface GetServiceNetworkResourceAssociationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the association.
     */
    arn: pulumi.Input<string>;
}
