import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::WorkSpacesWeb::UserAccessLoggingSettings Resource Type
 */
export declare function getUserAccessLoggingSettings(args: GetUserAccessLoggingSettingsArgs, opts?: pulumi.InvokeOptions): Promise<GetUserAccessLoggingSettingsResult>;
export interface GetUserAccessLoggingSettingsArgs {
    /**
     * The ARN of the user access logging settings.
     */
    userAccessLoggingSettingsArn: string;
}
export interface GetUserAccessLoggingSettingsResult {
    /**
     * A list of web portal ARNs that this user access logging settings is associated with.
     */
    readonly associatedPortalArns?: string[];
    /**
     * Kinesis stream ARN to which log events are published.
     */
    readonly kinesisStreamArn?: string;
    /**
     * The tags to add to the user access logging settings resource. A tag is a key-value pair.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The ARN of the user access logging settings.
     */
    readonly userAccessLoggingSettingsArn?: string;
}
/**
 * Definition of AWS::WorkSpacesWeb::UserAccessLoggingSettings Resource Type
 */
export declare function getUserAccessLoggingSettingsOutput(args: GetUserAccessLoggingSettingsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUserAccessLoggingSettingsResult>;
export interface GetUserAccessLoggingSettingsOutputArgs {
    /**
     * The ARN of the user access logging settings.
     */
    userAccessLoggingSettingsArn: pulumi.Input<string>;
}
